*UPDATED FOR MISTLANDS*

Valheim Recycle lets you disassemble crafted or upgraded items to get the base materials back via a new Recycle tab available at the Workbench/Forge in the crafting UI.
This should hopefully incentivise you to upgrade your gear more instead of making it feel like the resources are going to be wasted when you move onto the next tier. Furthermore, it should free up some stash space :).

SPECIAL THANKS TO THE FOLLOWING CONTRIBUTORS:\
Yanitsa Spassova - https://github.com/YaniSpassova\
Joshua Woods - https://github.com/jpw1991

Features: 

* The Recycle tab obeys many of the same rules and requirements as the Upgrade tab, e.g. crafting station level and known recipe requirements.
* Items are 'downgraded' one level at a time, at level 1 the recycled item will be destroyed instead.
* The full resource amount is returned by default (configurable below).
* For stackable items, you need to have at minimum the same amount that the crafting recipe produces in the same slot in your inventory. E.g. to recycle wooden arrows, you must have a stack of at least 20 wooden arrows.
* Recycle button will be disabled if there isn't at least one free inventory slot per resource (hover for hint).
* Equipped items or items in the hotbar are not included in the recycle list

Known issues: 

* Some users have reported compatibility issues with Epic Loot (I have not been able to replicate) and Jotun's Backpack (not tested). Use at your own risk with those mods.

# Configuration:

\## Settings file was created by plugin Valheim Recycle v2.0.0\
\## Plugin GUID: org.lafchi.plugins.valheim_recycle

[General]

\## The Recycle tab's position in the crafting menu after Upgrade. (Requires restart)\
\# Setting type: TabPositions\
\# Default value: Left\
\# Acceptable values: Left, Middle, Right\
`TabPosition = Left`

\## The amount of resources to return from recycling (0 to 1, where 1 returns 100% of the resources and 0 returns 0%)\
\# Setting type: Single\
\# Default value: 1\
\# Acceptable value range: From 0 to 1\
`ResourceMultiplier = 1`

\## Whether the original item's data should be preserved when downgrading. Useful for mods which add extra properties to items like EpicLoot.\
\## Turn off if experiencing problems.\
\# Setting type: Boolean\
\# Default value: true\
`PreserveOriginalItem = true`

\## Nexus mod ID for updates\
\# Setting type: Int32\
\# Default value: 425\
`NexusID = 425`


# Installation (manual):
1. Make sure you have BepInEx Valheim
2. Drag the `ValheimRecycle.dll` into `<ValheimInstallDir>`\BepInEx\plugins

# Source:
Source code can be found here - https://github.com/Ivaylo-Lafchiev/ValheimRecycle

# Compatibility:
Note that this is my first mod ever. Because of the nature of the mod, it's required patching a lot of existing UI components and methods. I have tried to write this in a way such that it won't interfere with other mods but I haven't really tested it with anything else.